For the complete documentation index, see llms.txt. This page is also available as Markdown.

行李

Atlas API 行李端点参考,用于查询行李选项、获取行李报价,并在预订中添加行李服务。

💬 需要帮助? 如果遇到问题,请在帮助中心咨询 Eva,快速获取诊断建议。

咨询 Eva

使用此端点进行流入行李查询。

GetLuggage 调用规则

L2B 治理

请检查 x-l2b-state。DEGRADED 表示非实时结果。

REJECTED 表示没有可用降级结果,并返回错误码 907。

请参阅 L2B 治理。

在有效的预订链中使用 getLuggage.do。

支持的请求上下文:

  • verify.do 返回的 sessionId,作为 offerId 发送

  • getOffers.do 返回的 OfferId

如何处理响应

getLuggage.do 返回当前行程的行李产品。

每个产品都有一个 productCode。

在选择行李时,将该 productCode 用于 order.do。

注意事项

  • 在目标行程确认后查询行李

  • 保持当前预订上下文的行李映射一致

  • 对于联程航班,保持同一方向连接航段的行李选择一致

有关共享规则和计数详情,请使用 API 请求限制。

Get Luggage

post

In a booking process, please call the 'getLuggage' API to get precise baggage quotes after price verification via 'verify' or 'getOffer'. Steps:

  1. API sequence

    • Search - Verify- getLuggage - Order - Pay

    • getOffer - getLuggage - Order - Pay

  2. For exact baggage prices, request 'getLuggage'.

  3. Pass 'offerId' in 'getLuggage' requests:

    • From 'verify': Use sessionId as offerId

    • From 'getOffer': Use its offerId directly.

  4. 'getLuggage' returns all flight segments' baggage data, each identified by a unique productCode.

  5. In the Order step, use the productCode to add specific baggage products to the ticket order.

Endpoint: https://sandbox.atriptech.com/getLuggage.do

Header parameters
x-atlas-client-idstringRequired

api access id

Example: NAR65434_api_1
x-atlas-client-secretstringRequired

api access secret

Example: changeit
Accept-EncodingstringOptional

建议设置该请求头,能很大程度地减小网络传输报文的大小

Example: gzip
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Body
offerIdstringRequired

ThesessionIdreturned by verify api(verify.do)

Example: 85540632-ef14-4cb2-900e-453ef0a19477
maxResponseTimeinteger · nullableOptional

Query timeout, unit: milliseconds, default 5000ms.
Note: Due to network transmission and computational performance impacts, the client may still receive a normal result (rather than a timeout) even if this duration is exceeded. This time is used to control the overall response time of the interface within a certain range, with an error generally not exceeding a few hundred milliseconds.
If you have strict requirements for the timeout, it is recommended to set the timeout of your HTTP toolkit. If the HTTP toolkit you are using does not support this capability, you may need to leverage other tools—related capabilities are generally provided in most programming languages.

Default: 5000
Responses
200Success
application/json
post/getLuggage.do
POST /getLuggage.do HTTP/1.1
x-atlas-client-id: text
x-atlas-client-secret: text
Accept: text
Content-Type: application/json
Content-Length: 50

{
  "offerId": "o_d2c7d44baf2643ebac8b7926a8b0be60_1"
}
200Success
{
  "status": 0,
  "msg": null,
  "data": {
    "offerId": "o_d2c7d44baf2643ebac8b7926a8b0be60_1",
    "ancillaryProductElements": [
      {
        "ancillaryCode": "SCI_BAG_5KG",
        "auxBaggageElement": {
          "allWeight": true,
          "piece": 0,
          "size": "",
          "weight": 5
        },
        "canPurchasePostTicket": 1,
        "canPurchaseWithTicket": 1,
        "categoryCode": "StandardCheckInBaggage",
        "clientTechnicalServiceFee": 0,
        "currency": "USD",
        "maxQty": 1,
        "minQty": 1,
        "price": 10.17,
        "productCode": "SCI_BAG_5KG",
        "segmentIndex": 1,
        "vendorCurrency": "IDR",
        "vendorPrice": 165000
      },
      {
        "ancillaryCode": "SCI_BAG_10KG",
        "auxBaggageElement": {
          "allWeight": true,
          "piece": 0,
          "size": "",
          "weight": 10
        },
        "canPurchasePostTicket": 1,
        "canPurchaseWithTicket": 1,
        "categoryCode": "StandardCheckInBaggage",
        "clientTechnicalServiceFee": 0,
        "currency": "USD",
        "maxQty": 1,
        "minQty": 1,
        "price": 16.34,
        "productCode": "SCI_BAG_10KG",
        "segmentIndex": 1,
        "vendorCurrency": "IDR",
        "vendorPrice": 265000
      },
      {
        "ancillaryCode": "SCI_BAG_30KG",
        "auxBaggageElement": {
          "allWeight": true,
          "piece": 0,
          "size": "",
          "weight": 30
        },
        "canPurchasePostTicket": 1,
        "canPurchaseWithTicket": 1,
        "categoryCode": "StandardCheckInBaggage",
        "clientTechnicalServiceFee": 0,
        "currency": "USD",
        "maxQty": 1,
        "minQty": 1,
        "price": 36.06,
        "productCode": "SCI_BAG_30KG",
        "segmentIndex": 1,
        "vendorCurrency": "IDR",
        "vendorPrice": 585000
      },
      {
        "ancillaryCode": "SCI_BAG_20KG",
        "auxBaggageElement": {
          "allWeight": true,
          "piece": 0,
          "size": "",
          "weight": 20
        },
        "canPurchasePostTicket": 1,
        "canPurchaseWithTicket": 1,
        "categoryCode": "StandardCheckInBaggage",
        "clientTechnicalServiceFee": 0,
        "currency": "USD",
        "maxQty": 1,
        "minQty": 1,
        "price": 24.35,
        "productCode": "SCI_BAG_20KG",
        "segmentIndex": 1,
        "vendorCurrency": "IDR",
        "vendorPrice": 395000
      },
      {
        "ancillaryCode": "SCI_BAG_40KG",
        "auxBaggageElement": {
          "allWeight": true,
          "piece": 0,
          "size": "",
          "weight": 40
        },
        "canPurchasePostTicket": 1,
        "canPurchaseWithTicket": 1,
        "categoryCode": "StandardCheckInBaggage",
        "clientTechnicalServiceFee": 0,
        "currency": "USD",
        "maxQty": 1,
        "minQty": 1,
        "price": 48.38,
        "productCode": "SCI_BAG_40KG",
        "segmentIndex": 1,
        "vendorCurrency": "IDR",
        "vendorPrice": 785000
      }
    ],
    "inboundSegments": [],
    "outboundSegments": [
      {
        "aircraftCode": "320",
        "arrAirport": "CGK",
        "arrTerminal": "",
        "arrTime": "202508231100",
        "cabin": "",
        "cabinClass": 1,
        "carrier": "QG",
        "codeShare": false,
        "depAirport": "SIN",
        "depTerminal": "",
        "depTime": "202508231010",
        "duration": 110,
        "fareFamily": "ECO",
        "flightNumber": "QG523",
        "operatingCarrier": "",
        "operatingFlightnumber": "",
        "seatCount": 9,
        "segmentIndex": 1,
        "stopCities": ""
      }
    ]
  }
}

Last updated

Was this helpful?